<template lang="pug">
.col.is-flex.is-flex-direction-column.is-align-items-center.is-justify-content-flex-start
	.top.box( :style='`background: ${background};`' )
		p.has-text-weight-semibold.is-size-5.has-text-white.has-text-centered
	.items.is-flex-grow-1
</template>

<script setup>
const props = defineProps({
	background: {
		type: String,
		default: "#fff"
	}
})
</script>

<style lang="scss" scoped>
.col {
	width: 20rem;
	.box {
		width: 100%;
		margin-bottom: 0;
		border-radius: 0;
	}
	.items {
		width: 100%;
		padding: .5rem;
		background: #fff;
		overflow-x: hidden;
		overflow-y: auto;
	}
}
</style>